//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Skybox
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//sky from shaderlab skies
//edited by Delirium

textures/aadel_cambridge/sky2
{
	qer_editorimage textures/aadel_cambridge/env/color.tga
//	q3map_lightimage textures/aadel_cambridge/env/color.tga
	q3map_lightmapFilterRadius 0 8	
	q3map_lightsubdivide 512
	q3map_backsplash 0 0

	q3map_sunEXT 1 0.788 0.347 128 100 50 3 12 		
	q3map_skyLight 190 4 			//q3map_skylight 150 6
	q3map_lightRGB 1 0.788 0.347

	q3map_noFog

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight

	skyparms env/box365/box365 - -

	nopicmip
	nomipmaps
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Water
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_cambridge/water2
{
        qer_editorimage textures/aadel_cambridge/water.tga
        qer_trans 0.5
        q3map_globaltexture
	q3map_cheapwater 1 0.9 0.9 1
        surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
        surfaceparm water
        cull disable
	nopicmip
	fogparms ( 0.1 0.23 0.14 ) 1024
        {
            map textures/aadel_cambridge/water.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scale 0.5 0.5
	    tcMod turb 0.1 0.1 0.1 .1
        }
        {
            map textures/aadel_cambridge/water.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll .05 -.01
        }
        {
            map textures/aadel_cambridge/water.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scale 2 2
	    tcMod turb 0 0.1 1 .1
        }
}
textures/aadel_cambridge/watercaulk
{
	qer_editorimage textures/aadel_cambridge/watercaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}
textures/aadel_cambridge/waterplant_2
{
	qer_alphafunc greater 0.5
	q3map_lightmapSampleSize 2
	surfaceparm alphashadow
	//Never gunna give you up
	surfaceparm trans //exual LOLOLOLOLOL
	//Never gunna let you down
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nodlight
	cull none 
	nopicmip
	deformVertexes bulge 64 1 2		
	{
		map textures/aadel_cambridge/waterplant_2.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Models
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
models/mapobjects/delirium/fir_branch
{
	//deformVertexes wave 100 sin 0 3 0 0.025
	//deformVertexes wave 100 sin 0 5 0 0.025
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip
	{
		map models/mapobjects/delirium/fir_branch.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
models/mapobjects/delirium/fir_branch2
{
	//deformVertexes wave 100 sin 0 3 0 0.025
	//deformVertexes wave 100 sin 0 5 0 0.025
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip
	{
		map models/mapobjects/delirium/fir_branch2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
models/mapobjects/delirium/pin_branch
{
	//deformVertexes wave 100 sin 0 3 0 0.025
	//deformVertexes wave 100 sin 0 5 0 0.025
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip
	{
		map models/mapobjects/delirium/pin_branch.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
models/mapobjects/delirium/lamp/glass_wave
{
	q3map_lightimage textures/aadel_tohunga/lamp_light.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 30000 
        {
                map models/mapobjects/delirium/lamp/glass_wave.tga
        }	
}

//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Terrain
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_cambridge/grass_mud_phong
{
	qer_editorimage textures/aadel_cambridge/ground1.tga
	q3map_shadeangle 180 //90
	q3map_nonplanar
	{
		map textures/aadel_cambridge/ground2.tga
	}
	{
		map textures/aadel_cambridge/ground1.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Foliage
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_cambridge/vine07
{
	cull none
	q3map_vertexScale 1.5
	surfaceparm alphashadow
	surfaceparm detail
        surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nodlight
	nopicmip
	{
		map textures/aadel_cambridge/vine07.tga
		alphaFunc GE128
		rgbGen vertex
	}
}
textures/aadel_cambridge/vine06
{
	cull none
	q3map_vertexScale 1.5
	surfaceparm alphashadow
	surfaceparm detail
        surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nodlight
	nopicmip
	{
		map textures/aadel_cambridge/vine06.tga
		alphaFunc GE128
		rgbGen vertex
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Assorted Decals
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_cambridge/sn_fence1
{
	qer_editorimage textures/aadel_cambridge/sn_fence1.tga
	cull none
	q3map_vertexScale 1.5
	q3map_lightmapSampleSize 2
	qer_trans 0.99
	surfaceparm alphashadow
	surfaceparm detail
	surfaceparm nodlight
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
	{
		map textures/aadel_cambridge/sn_fence1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	 }
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/aadel_cambridge/wood_fence
{
	qer_editorimage textures/aadel_cambridge/wood_fence.tga
        cull none
        nopicmip
	q3map_lightmapSampleSize 2
	q3map_vertexScale 1.5
	surfaceparm alphashadow
	surfaceparm detail
	surfaceparm nodlight
	surfaceparm nomarks
	surfaceparm trans
        {
                map textures/aadel_cambridge/wood_fence.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
		tcmod scale 2 2
         }
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/aadel_cambridge/decal_crack_1
{
	qer_editorimage textures/aadel_cambridge/decal_crack1.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_cambridge/decal_crack1.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_cambridge/decal_broken_floor_1
{
	qer_editorimage textures/aadel_cambridge/decal_broken_floor.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_cambridge/decal_broken_floor.tga
		blendfunc blend
		rgbgen vertex
		alphagen const 1
	}
}
textures/aadel_cambridge/decal_conc_crack_vert
{
	qer_editorimage textures/aadel_cambridge/decal_conc_crack_vert.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_cambridge/decal_conc_crack_vert.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_cambridge/decal_conc_cracks
{
	qer_editorimage textures/aadel_cambridge/decal_concrete_cracks.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_cambridge/decal_concrete_cracks.tga
		blendfunc gl_dst_color gl_src_color
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Misc
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_cambridge/glass-yel
{
	qer_editorimage textures/aadel_cambridge/tinfx-yel.tga
	qer_trans 0.7
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map textures/aadel_cambridge/tinfx-yel.tga
		blendfunc blend
		rgbGen vertex
	}
}
textures/aadel_cambridge/powerwire01
{
    qer_editorimage textures/aadel_cambridge/powerwire01.tga  
    q3map_lightmapSampleSize 2
    surfaceparm noimpact  
    surfaceparm nonsolid
    surfaceparm nomarks
    surfaceparm nodlight
    nopicmip
	{
		map $lightmap
		rgbGen identity
	}
    {
        map textures/aadel_cambridge/powerwire01.tga
        blendFunc filter
    }
}
textures/aadel_cambridge/ladderclip
{
        qer_trans 0.40
	qer_editor_image textures/aadel_cambridge/ladderclip.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
	surfaceparm detail
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}
textures/aadel_cambridge/clip_nokick
{
	qer_editorimage textures/aadel_cambridge/clip_nokick.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm slick
}
textures/aadel_cambridge/fs_gate2
{
        qer_editorimage textures/aadel_cambridge/fs_gate2.tga
	q3map_lightmapSampleSize 2
	surfaceparm alphashadow
	surfaceparm playerclip
    	surfaceparm trans
	cull none
        nopicmip
	{
		map textures/aadel_cambridge/fs_gate2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/aadel_cambridge/fs_gate3c
{
        qer_editorimage textures/aadel_cambridge/fs_gate3c.tga
	q3map_lightmapSampleSize 2
	surfaceparm alphashadow
	surfaceparm playerclip
    	surfaceparm trans
	cull none
        nopicmip
	{
		map textures/aadel_cambridge/fs_gate3c.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//credz NulL
textures/aadel_cambridge/gold_shader
{
	qer_editorimage textures/aadel_cambridge/gold_base.tga
	{
		map textures/aadel_cambridge/gold_base.tga
		tcgen environment
		//tcgen vector ( 0.00391 0 0 ) ( 0 0.00391 0 )
		//tcmod turb  0 0.3 0.75 0.0001
		//tcmod scale 0.65 0.65
		//tcmod rotate -0.001 
		rgbgen const ( 0.5 0.5 0.5 )
	}
	{
		map textures/aadel_cambridge/gold_fx.tga
		blendfunc gl_one gl_one
		tcgen environment
		rgbgen const ( 0.5 0.5 0.5 )
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Windows
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_cambridge/sn_window2
{
	q3map_lightmapBrightness 1.4
	{	
		map textures/aadel_cambridge/sn_window2.tga
	}
	{
		map textures/aadel_cambridge/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aadel_cambridge/sn_window2.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_cambridge/sn_window8
{
	q3map_lightmapBrightness 1.4
	{	
		map textures/aadel_cambridge/sn_window8.tga
	}
	{
		map textures/aadel_cambridge/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aadel_cambridge/sn_window8.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	LevelShot Hax
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
levelshots/ut4_cambridge
{
	//DONT J00 WISH YOUR MAP HAD THUS LEET HAXZOR SH!T???
	nopicmip
	nomipmaps
        {
                map levelshots/ut4_cambridge.tga
        }
	{
                map levelshots/ut4_cambridge_2.tga
		blendFunc	GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen	wave sin 0 1 1 0.03
	}	
	
}
//FUSH N CHUPS